// Copyright © 2007, Esko Luontola <www.orfjackal.net>
// This software is released under the Apache License 2.0.
// The license text is at http://www.apache.org/licenses/LICENSE-2.0

package net.orfjackal.weenyconsole;

/**
 * @author Esko Luontola
 * @since 1.8.2007
 */
public class ConversionFailedException extends Exception {

    public ConversionFailedException(String sourceValue, Class<?> targetType) {
        super(messageFor(sourceValue, targetType));
    }

    public ConversionFailedException(String sourceValue, Class<?> targetType, Throwable cause) {
        super(messageFor(sourceValue, targetType), cause);
    }

    private static String messageFor(String sourceValue, Class<?> targetType) {
        return "Can not convert " + sourceValue + " to " + targetType;
    }
}
